# Deprecated API

## Contents

- Terminally Deprecated
- Classes
- Fields
- Methods

Terminally Deprecated Elements
Element
Description
commoble.databuddy.data.CodecJsonDataManager.getData(ResourceLocation)
Prefer using the other getData to get the data entries

Deprecated Classes
Class
Description
commoble.databuddy.nbt.NBTListCodec
Consider using mojang codecs and Codec::listOf
commoble.databuddy.nbt.NBTMapCodec
prefer using Codecs to read and write NBT where possible

Deprecated Fields
Field
Description
commoble.databuddy.data.MergeableCodecDataManager.data
prefer using the getter, will be made protected later

Deprecated Methods
Method
Description
commoble.databuddy.data.CodecJsonDataManager.getData(ResourceLocation)
Prefer using the other getData to get the data entries